package com.njzscloud.common.cache;

import java.util.function.Supplier;

public class NoCache implements Cache {

    public NoCache() {
    }

    @Override
    public <T> T get(String key) {
        return null;
    }

    public <T> T get(String key, Supplier<T> supplier) {
        return supplier.get();
    }

    @Override
    public <T> T get(String key, long timeout, Supplier<T> supplier) {
        return supplier.get();
    }

    @Override
    public void put(String key, Object value, long timeout) {
    }

    @Override
    public void put(String key, Object value) {
    }

    @Override
    public void remove(String key) {
    }

}
